This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1467351 - Cannot add label to a Project object
Cannot add label to a Project object
Status: ASSIGNED
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Juan Vallejo
Xingxing Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 09:25 EDT by Pavel Zagalsky
Modified: 2017-09-15 17:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zagalsky 2017-07-03 09:25:46 EDT
Description of problem:
Failure attempting to add a label to a Project object

Version-Release number of selected component (if applicable):
Tested on 3.5

How reproducible:
Always


Steps to Reproduce:
1. Run :
oc label project <project_name> abc_sdfsdfsdf=value_fewert


Actual results:

The Project <project_name> is invalid: metadata.labels[abc_sdfsdfsdf]: Invalid value: "value_fewert": field is immutable, , try updating the namespace

Expected results:
The label should be added successfully

Additional info:

Note You need to log in before you can comment on or make changes to this bug.